Bug 4963 - Ошибка 'tcgetattr failed: Input/output error' и переполнение лога
: Ошибка 'tcgetattr failed: Input/output error' и переполнение лога
Status: CLOSED WORKSFORME
: Sisyphus
(All bugs in Sisyphus/mgetty)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-08-10 11:07 by
Modified: 2005-12-15 16:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-08-10 11:07:54
Внезапно mgetty-1.1.30-alt3 начинает непрерывно писать в лог такие записи:

>--- Cut ---
08/10 09:47:34 yS0  tcgetattr failed: Input/output error
08/10 09:47:34 yS0  tcsetattr failed: Input/output error
08/10 09:47:34 yS0  tcsetattr failed: Input/output error
08/10 09:47:34 yS0  waiting...
08/10 09:47:34 yS0  /etc/nologin.ttyS0 exists - do not accept call!
08/10 09:47:34 yS0  wfr: waiting for ``RING''
08/10 09:47:34 yS0  mdm_read_byte: read returned 0: Success
08/10 09:47:34 yS0  wfr: error in read(): Success
08/10 09:47:34 ##### rejected, rings=0

08/10 09:47:34 yS0  tcgetattr failed: Input/output error
08/10 09:47:34 yS0  tcsetattr failed: Input/output error
08/10 09:47:34 yS0  tcsetattr failed: Input/output error
08/10 09:47:34 yS0  waiting...
08/10 09:47:34 yS0  /etc/nologin.ttyS0 exists - do not accept call!
08/10 09:47:34 yS0  wfr: waiting for ``RING''
08/10 09:47:34 yS0  mdm_read_byte: read returned 0: Success
08/10 09:47:34 yS0  wfr: error in read(): Success
08/10 09:47:34 ##### rejected, rings=0

. . .
>--- Cut ---

  Результат - заполнение раздела, на который пишутся логи, в считанные минуты.
После удаления лога, прибития процесса mgetty и перезапуска его из init'а
(модем
не выключается) всё нормализуется, чтобы повториться через несколько дней.
------- Comment #1 From 2005-08-17 21:09:10 -------
Если повторится на новой версии -- пишите.